Subject: bug#20538: 24.4; Attempt to delete a surrogate minibuffer frame

From: martin rudalics <[email-masked]>
Date: Thu, 14 May 2015 12:13:46 +0200

> Then your previous email telling me only about the function
 > ediff-setup-windows-plain gives an ignorant user like myself already
 > all the info he needs.

Well, in my first mail in this thread I wrote

 >> I use
 >>
 >> (custom-set-variables
 >>  '(ediff-window-setup-function (quote ediff-setup-windows-plain)))
 >>
 >> which avoids that the control panel appears on a separate frame.

Hence I thought you would be already aware of the real nature of
`ediff-setup-windows-plain' ;-)

 >>   > Perhaps the error message could be changed to something like
 >>   >
 >>   >    "Attempt to delete frame with a surrogate minibuffer for frame XYZ"
 >
 > Is the problem with the above that frames do not have
 > selfexplanatory unique names?  Oh well, too bad.

We could use (frame-parameter frame 'name) but it's not unique.

 >> Maybe we should say in the documentation of `delete-frame' something
 >> like
 >>
 >>     A frame may not be deleted if its minibuffer serves as surrogate
 >>     minibuffer for another frame.
 >
 > Yes, thanks, that would be better than the current phrase.  If the
 > buzzword "surrogate" appears also in the corresponding section of
 > the elisp manual, I might have never started this thread.

OK.  Unless someone has a better idea I'll rewrite it that way.

martin